package gssim.db.dao.data;

import java.sql.Timestamp;

/**
 * 
 * @author Jarek Szymczak
 *
 */
public class Task {

	protected Integer PK;
	protected Integer expId;
	protected Integer jobId;
	protected Integer taskId;
	protected Integer procSetId;
	protected Integer parentId;
	protected Timestamp execStartDate;
	protected Timestamp execFinishDate;
	protected Timestamp execEndDate;
	protected Timestamp gbSubmitDate;
	protected Timestamp lbSubmitDate;
	protected Integer completionTime;
	protected Integer execStartTime;
	protected Integer executionTime;
	protected Integer startTime;
	protected Integer readyTime;
	protected Integer flowTime;
	protected Integer waitingTime;
	protected Integer gqWaitingTime;
	protected Integer lateness;
	protected Integer tardiness;
	protected Integer makespan;
	
	public Integer getPK() {
		return PK;
	}
	
	public void setPK(Integer pK) {
		PK = pK;
	}
	
	public Integer getExpId() {
		return expId;
	}
	
	public void setExpId(Integer expId) {
		this.expId = expId;
	}
	
	public Integer getJobId() {
		return jobId;
	}
	
	public void setJobId(Integer jobId) {
		this.jobId = jobId;
	}
	
	public Integer getTaskId() {
		return taskId;
	}
	
	public void setTaskId(Integer taskId) {
		this.taskId = taskId;
	}
	
	public Integer getProcSetId() {
		return procSetId;
	}
	
	public void setProcSetId(Integer procSetId) {
		this.procSetId = procSetId;
	}
	
	public Integer getParentId() {
		return parentId;
	}
	
	public void setParentId(Integer parentId) {
		this.parentId = parentId;
	}
	
	public Timestamp getExecStartDate() {
		return execStartDate;
	}
	
	public void setExecStartDate(Timestamp execStartDate) {
		this.execStartDate = execStartDate;
	}
	
	public Timestamp getExecFinishDate() {
		return execFinishDate;
	}
	
	public void setExecFinishDate(Timestamp execFinishDate) {
		this.execFinishDate = execFinishDate;
	}
	
	public Timestamp getExecEndDate() {
		return execEndDate;
	}
	
	public void setExecEndDate(Timestamp execEndDate) {
		this.execEndDate = execEndDate;
	}
	
	public Timestamp getGbSubmitDate() {
		return gbSubmitDate;
	}
	
	public void setGbSubmitDate(Timestamp gbSubmitDate) {
		this.gbSubmitDate = gbSubmitDate;
	}
	
	public Timestamp getLbSubmitDate() {
		return lbSubmitDate;
	}
	
	public void setLbSubmitDate(Timestamp lbSubmitDate) {
		this.lbSubmitDate = lbSubmitDate;
	}
	
	public Integer getCompletionTime() {
		return completionTime;
	}
	
	public void setCompletionTime(Integer completionTime) {
		this.completionTime = completionTime;
	}
	
	public Integer getExecStartTime() {
		return execStartTime;
	}
	
	public void setExecStartTime(Integer execStartTime) {
		this.execStartTime = execStartTime;
	}
	
	public Integer getExecutionTime() {
		return executionTime;
	}
	
	public void setExecutionTime(Integer executionTime) {
		this.executionTime = executionTime;
	}
	
	public Integer getStartTime() {
		return startTime;
	}
	
	public void setStartTime(Integer startTime) {
		this.startTime = startTime;
	}
	
	public Integer getReadyTime() {
		return readyTime;
	}
	
	public void setReadyTime(Integer readyTime) {
		this.readyTime = readyTime;
	}
	
	public Integer getFlowTime() {
		return flowTime;
	}
	
	public void setFlowTime(Integer flowTime) {
		this.flowTime = flowTime;
	}
	
	public Integer getWaitingTime() {
		return waitingTime;
	}
	
	public void setWaitingTime(Integer waitingTime) {
		this.waitingTime = waitingTime;
	}
	
	public Integer getGqWaitingTime() {
		return gqWaitingTime;
	}
	
	public void setGqWaitingTime(Integer gqWaitingTime) {
		this.gqWaitingTime = gqWaitingTime;
	}
	
	public Integer getLateness() {
		return lateness;
	}
	
	public void setLateness(Integer lateness) {
		this.lateness = lateness;
	}
	
	public Integer getTardiness() {
		return tardiness;
	}
	
	public void setTardiness(Integer tardiness) {
		this.tardiness = tardiness;
	}
	
	public Integer getMakespan() {
		return makespan;
	}
	
	public void setMakespan(Integer makespan) {
		this.makespan = makespan;
	}
	
	@Override
	public int hashCode() {
		final int prime = 31;
		int result = 1;
		result = prime * result + ((PK == null) ? 0 : PK.hashCode());
		result = prime * result
				+ ((completionTime == null) ? 0 : completionTime.hashCode());
		result = prime * result
				+ ((execEndDate == null) ? 0 : execEndDate.hashCode());
		result = prime * result
				+ ((execFinishDate == null) ? 0 : execFinishDate.hashCode());
		result = prime * result
				+ ((execStartDate == null) ? 0 : execStartDate.hashCode());
		result = prime * result
				+ ((execStartTime == null) ? 0 : execStartTime.hashCode());
		result = prime * result
				+ ((executionTime == null) ? 0 : executionTime.hashCode());
		result = prime * result + ((expId == null) ? 0 : expId.hashCode());
		result = prime * result
				+ ((flowTime == null) ? 0 : flowTime.hashCode());
		result = prime * result
				+ ((gbSubmitDate == null) ? 0 : gbSubmitDate.hashCode());
		result = prime * result
				+ ((gqWaitingTime == null) ? 0 : gqWaitingTime.hashCode());
		result = prime * result + ((jobId == null) ? 0 : jobId.hashCode());
		result = prime * result
				+ ((lateness == null) ? 0 : lateness.hashCode());
		result = prime * result
				+ ((lbSubmitDate == null) ? 0 : lbSubmitDate.hashCode());
		result = prime * result
				+ ((makespan == null) ? 0 : makespan.hashCode());
		result = prime * result
				+ ((parentId == null) ? 0 : parentId.hashCode());
		result = prime * result
				+ ((procSetId == null) ? 0 : procSetId.hashCode());
		result = prime * result
				+ ((readyTime == null) ? 0 : readyTime.hashCode());
		result = prime * result
				+ ((startTime == null) ? 0 : startTime.hashCode());
		result = prime * result
				+ ((tardiness == null) ? 0 : tardiness.hashCode());
		result = prime * result + ((taskId == null) ? 0 : taskId.hashCode());
		result = prime * result
				+ ((waitingTime == null) ? 0 : waitingTime.hashCode());
		return result;
	}
	
	@Override
	public boolean equals(Object obj) {
		if (this == obj)
			return true;
		if (obj == null)
			return false;
		if (getClass() != obj.getClass())
			return false;
		Task other = (Task) obj;
		if (PK == null) {
			if (other.PK != null)
				return false;
		} else if (!PK.equals(other.PK))
			return false;
		if (completionTime == null) {
			if (other.completionTime != null)
				return false;
		} else if (!completionTime.equals(other.completionTime))
			return false;
		if (execEndDate == null) {
			if (other.execEndDate != null)
				return false;
		} else if (!execEndDate.equals(other.execEndDate))
			return false;
		if (execFinishDate == null) {
			if (other.execFinishDate != null)
				return false;
		} else if (!execFinishDate.equals(other.execFinishDate))
			return false;
		if (execStartDate == null) {
			if (other.execStartDate != null)
				return false;
		} else if (!execStartDate.equals(other.execStartDate))
			return false;
		if (execStartTime == null) {
			if (other.execStartTime != null)
				return false;
		} else if (!execStartTime.equals(other.execStartTime))
			return false;
		if (executionTime == null) {
			if (other.executionTime != null)
				return false;
		} else if (!executionTime.equals(other.executionTime))
			return false;
		if (expId == null) {
			if (other.expId != null)
				return false;
		} else if (!expId.equals(other.expId))
			return false;
		if (flowTime == null) {
			if (other.flowTime != null)
				return false;
		} else if (!flowTime.equals(other.flowTime))
			return false;
		if (gbSubmitDate == null) {
			if (other.gbSubmitDate != null)
				return false;
		} else if (!gbSubmitDate.equals(other.gbSubmitDate))
			return false;
		if (gqWaitingTime == null) {
			if (other.gqWaitingTime != null)
				return false;
		} else if (!gqWaitingTime.equals(other.gqWaitingTime))
			return false;
		if (jobId == null) {
			if (other.jobId != null)
				return false;
		} else if (!jobId.equals(other.jobId))
			return false;
		if (lateness == null) {
			if (other.lateness != null)
				return false;
		} else if (!lateness.equals(other.lateness))
			return false;
		if (lbSubmitDate == null) {
			if (other.lbSubmitDate != null)
				return false;
		} else if (!lbSubmitDate.equals(other.lbSubmitDate))
			return false;
		if (makespan == null) {
			if (other.makespan != null)
				return false;
		} else if (!makespan.equals(other.makespan))
			return false;
		if (parentId == null) {
			if (other.parentId != null)
				return false;
		} else if (!parentId.equals(other.parentId))
			return false;
		if (procSetId == null) {
			if (other.procSetId != null)
				return false;
		} else if (!procSetId.equals(other.procSetId))
			return false;
		if (readyTime == null) {
			if (other.readyTime != null)
				return false;
		} else if (!readyTime.equals(other.readyTime))
			return false;
		if (startTime == null) {
			if (other.startTime != null)
				return false;
		} else if (!startTime.equals(other.startTime))
			return false;
		if (tardiness == null) {
			if (other.tardiness != null)
				return false;
		} else if (!tardiness.equals(other.tardiness))
			return false;
		if (taskId == null) {
			if (other.taskId != null)
				return false;
		} else if (!taskId.equals(other.taskId))
			return false;
		if (waitingTime == null) {
			if (other.waitingTime != null)
				return false;
		} else if (!waitingTime.equals(other.waitingTime))
			return false;
		return true;
	}
	
	@Override
	public String toString() {
		return "Task [PK=" + PK + ", expId=" + expId + ", jobId=" + jobId
				+ ", taskId=" + taskId + ", procSetId=" + procSetId
				+ ", parentId=" + parentId + ", execStartDate=" + execStartDate
				+ ", execFinishDate=" + execFinishDate + ", execEndDate="
				+ execEndDate + ", gbSubmitDate=" + gbSubmitDate
				+ ", lbSubmitDate=" + lbSubmitDate + ", completionTime="
				+ completionTime + ", execStartTime=" + execStartTime
				+ ", executionTime=" + executionTime + ", startTime="
				+ startTime + ", readyTime=" + readyTime + ", flowTime="
				+ flowTime + ", waitingTime=" + waitingTime
				+ ", gqWaitingTime=" + gqWaitingTime + ", lateness=" + lateness
				+ ", tardiness=" + tardiness + ", makespan=" + makespan + "]";
	}
	
}
	
	