package gssim.db.reader;

/**
 * 
 * @author Marcin Krystek
 *
 */
public class AccStatsReader extends StatsReader {

	public AccStatsReader(StatsParser p) {
		super(p);
	}

	public String getMetricName(){
		return this.values[0];
	}
	
	public Double getMean(){
		return getAsDouble(1);
	}
	
	public Double getStandardDeviation(){
		return getAsDouble(2);
	}
	
	public Double getVariance(){
		return getAsDouble(3);
	}
	
	public Double getMin(){
		return getAsDouble(4);
	}
	
	public Double getMax(){
		return getAsDouble(5);
	}
	
	public Double getSum(){
		return getAsDouble(6);
	}
	
	public Double getCount(){
		return getAsDouble(7);
	}
	
}
